svn commit: r348151 - head/usr.sbin/etcupdate
Emmanuel Vadot
manu at FreeBSD.org
Thu May 23 07:59:17 UTC 2019
Author: manu
Date: Thu May 23 07:59:16 2019
New Revision: 348151
URL: https://svnweb.freebsd.org/changeset/base/348151
Log:
etcupdate: Fix -p after the move of the passwd related files
Since PREWORLD_FILES only contain files that needs to be copied into /etc
copy directly those files there.
Reported by: many
Modified:
head/usr.sbin/etcupdate/etcupdate.sh
Modified: head/usr.sbin/etcupdate/etcupdate.sh
==============================================================================
--- head/usr.sbin/etcupdate/etcupdate.sh Thu May 23 06:53:59 2019 (r348150)
+++ head/usr.sbin/etcupdate/etcupdate.sh Thu May 23 07:59:16 2019 (r348151)
@@ -196,9 +196,9 @@ build_tree()
# Build a limited tree that only contains files that are
# crucial to installworld.
for file in $PREWORLD_FILES; do
- dir=`dirname /$file`
- mkdir -p $1/$dir >&3 2>&1 || return 1
- cp -p $SRCDIR/$file $1/$file || return 1
+ name=$(basename $file)
+ mkdir -p $1/etc >&3 2>&1 || return 1
+ cp -p $SRCDIR/$file etc/$name || return 1
done
elif ! [ -n "$nobuild" ]; then
(cd $SRCDIR; $make DESTDIR=$destdir distrib-dirs &&
More information about the svn-src-all
mailing list